Bug 1571284 - [RHV] Removed VMs, without disk removal, are visible in CFME under "Archived" while it should be "Orphaned"
Summary: [RHV] Removed VMs, without disk removal, are visible in CFME under "Archived"...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Martin Perina
QA Contact: Angelina Nikiforova
URL:
Whiteboard: rhev
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 12:47 UTC by Ilanit Stein
Modified: 2019-08-01 13:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-11 15:26:38 UTC
Category: Bug
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)
evm.log (782.79 KB, application/x-gzip)
2018-04-24 12:48 UTC, Ilanit Stein
no flags Details
automation.log (30.49 KB, application/x-gzip)
2018-04-24 12:49 UTC, Ilanit Stein
no flags Details
production.log (53.55 KB, application/x-gzip)
2018-04-24 12:49 UTC, Ilanit Stein
no flags Details

Description Ilanit Stein 2018-04-24 12:47:57 UTC
Description of problem:
When removing a RHV VM, from RHV side, without removing the VM's disks,
this VM will be visible in CFME under VMs, "Archived", and not under "Orphaned",
as it should.

Archived refer to VMs removed along with their disks.  

Version-Release number of selected component (if applicable):
CFME-5.9.2.3 (Graph refresh OFF)
CFME-5.9.2.1 (Graph refresh ON)

RHV-4.2.2.5

Additional info:
We had bugs around this issue in the past, like -

1. Bug 1497522 Deleted VM is moved to status Orphan, though it should move to Archived.

2. Bug 1334949 When you delete the VM from RHEV provider side, half the time it picks archived and the other half the time it picks orphaned even though the VM's disks were deleted.

Comment 2 Ilanit Stein 2018-04-24 12:48:39 UTC
Created attachment 1426028 [details]
evm.log

Comment 3 Ilanit Stein 2018-04-24 12:49:03 UTC
Created attachment 1426029 [details]
automation.log

Comment 4 Ilanit Stein 2018-04-24 12:49:24 UTC
Created attachment 1426030 [details]
production.log


Note You need to log in before you can comment on or make changes to this bug.